#!/bin/bash
#[vpn-secrets]
#password=EFChina2020

echo -n "[-] Installing dependecies..."
apt-get update > /dev/null 2>&1
apt-get install network-manager-l2tp -y > /dev/null 2>&1
echo "Done."

echo -n "[-] Exporting configuration file to '/l2tp.conf'..."
cat <<EOF > /l2tp.conf
[connection]
id=Shanghai
type=vpn
autoconnect=false
permissions=user:root:;

[vpn]
gateway=vpn-appliance-bcwvwbwncbd.cn.dynamic-m.com
ipsec-enabled=true
ipsec-esp=3des-sha1
ipsec-forceencaps=true
ipsec-ike=3des-sha1-modp1024
ipsec-psk=ciscodidata
password-flags=0
user=china.staff@ef.com
service-type=org.freedesktop.NetworkManager.l2tp

[ip4]
dns-search=
method=auto

[ip6]
addr-gen-mode=stable-privacy
dns-search=
ip6-privacy=0
method=auto
EOF
echo "Done."

echo -n "[-] Disabling services..."
service xl2tpd stop > /dev/null 2>&1
systemctl disable xl2tpd > /dev/null 2>&1
echo "Done."
echo -n "[-] Importing VPN profile..."
nmcli connection delete Shanghai > /dev/null 2>&1
nmcli c import type l2tp file /l2tp.conf > /dev/null 2>&1
nmcli con mod Shanghai vpn.secrets "password=EFChina2020"
echo "Done."

echo "[-] Creating shortcuts..."
cat <<EOF > /home/efecuser/Desktop/VPN_Connect.desktop
[Desktop Entry]
Encoding=UTF-8
Name=VPN Connection - Connect
Comment=VPN Connection
TryExec=nmcli connection up Shanghai
Exec=nmcli connection up Shanghai
StartupNotify=true
Terminal=false
Type=Application
NoDisplay=true
MimeType=applications/php
EOF

cat <<EOF > /home/efecuser/Desktop/VPN_Disconnect.desktop
[Desktop Entry]
Encoding=UTF-8
Name=VPN Connection - Disconnect
Comment=VPN Connection
TryExec=nmcli connection down Shanghai
Exec=nmcli connection down Shanghai
StartupNotify=true
Terminal=false
Type=Application
NoDisplay=true
MimeType=applications/php
EOF

chown efecuser:efecuser /home/efecuser/Desktop/VPN_Connect.desktop
chown efecuser:efecuser /home/efecuser/Desktop/VPN_Disconnect.desktop
chmod +x /home/efecuser/Desktop/VPN_Connect.desktop
chmod +x /home/efecuser/Desktop/VPN_Disconnect.desktop

